using System.ComponentModel.DataAnnotations.Schema;

namespace EnotaryoPH.Data.Entities
{
    [Table("EventLogs")]
    public class EventLog
    {
        [Column("EventLogID")]
        public int EventLogID { get; set; }

        [Column("StreamID")]
        public string StreamID { get; set; }

        [Column("LogType")]
        public string LogType { get; set; }

        [Column("LogDate")]
        public DateTime? LogDate { get; set; }

        [Column("UserID")]
        public int? UserID { get; set; }

        [Column("Payload")]
        public string Payload { get; set; }

        [Column("Description")]
        public string? Description { get; set; }

        [Column("EventLog_UID")]
        public Guid? EventLog_UID { get; set; }

        [ForeignKey("UserID")]
        public User User { get; set; }
    }
}